---
lang: en
title: 'API docs: repository.class'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.class.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Class](./repository.class.md)

## Class interface

Interface for classes with `new` operator and static properties/methods

<b>Signature:</b>

```typescript
export interface Class<T> 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [(new)(args)](./repository.class._new_.md) |  |


